osmo_conv_decoder Struct Reference
Convolutional encoding and decoding routines

convolutional decoder state More...

`#include <conv.h>`

## Data Fields

const struct osmo_conv_code * | code
| for which code?
int | n_states
| number of states
int | len
| Max o_idx (excl. termination)
int | o_idx
| output index
int | p_idx
| puncture index
unsigned int * | ae
| accumulated error
unsigned int * | ae_next
| next accumulated error (tmp in scan)
uint8_t * | state_history
| state history [len][n_states]

## Detailed Description

convolutional decoder state

The documentation for this struct was generated from the following file:

- include/osmocom/core/conv.h